<?php
$mmambo_modules = get_post_meta( $post->ID, 'mmambo_modules', true );
$module_default_video = module_default_video($post->ID);
$module_intotal_video_no = module_intotal_video_number($post->ID);
$user_buy_time = '';
$daydiff = '';
if(is_user_logged_in() && !current_user_can('administrator')){
	$course_bought_times = get_user_meta( get_current_user_id(), 'course_bought_times', true );
}
else{
	$course_bought_times = array();
}
if(is_array($course_bought_times) && array_key_exists($post->ID, $course_bought_times)){
	$user_buy_time = $course_bought_times[$post->ID];
}
if($user_buy_time != ''){
	$buy = $user_buy_time;
	//$buy = strtotime("2018-03-25");
	$now = time();
	$datediff = $now - $buy;
	$daydiff = round($datediff / (60 * 60 * 24));
}

if(!empty($module_default_video)){
?>
<section class="module_default_video_section">
	<div class="container">
		<div class="card">
			<?php
					$main_video_id = $module_default_video['id'];
					$main_video_type = $module_default_video['type'];
					$main_video_poster = isset($module_default_video['poster']) ? $module_default_video['poster'] : "";
					
					if(isset($_GET['vtype']) && $_GET['vtype'] != ''){
						if($_GET['vtype'] == 'vimeo'){
							if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
							$main_video_poster = isset($_GET['vposter']) ? $_GET['vposter'] : "";
						?>
						<div class="kurs_header_video">
						<?php 
							if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
						?>
							<!--<div data-type="vimeo" data-video-id="<?php echo $main_video_id;?>"></div>-->
							<div class="plyr__video-embed" id="player">
								<iframe src="https://player.vimeo.com/video/<?php echo $main_video_id;?>?loop=false&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media" allowfullscreen allowtransparency allow="autoplay"></iframe>
							</div>
						<?php
							}else{
						?>	
							<div class="kurs_header_without_cookie">
								<?php if($main_video_poster != ""){ ?>
								<img src="<?php echo $main_video_poster;?>" alt="" />
								<?php }else{?>
								<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
								<div class="default_text_warning">
									<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
									<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
									<p>Das Video wird eingebettet von Vimeo.com abgespielt. Es werden Cookies von Vimeo gesetzt. </p>
									<p>Mehr zu den Cookies in der <a target="_blank" href="https://vimeo.com/privacy">Privacy Policy</a> von Vimeo und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
								</div>
							</div>
						<?php }?>	
						</div>
						<?php 
						}elseif($_GET['vtype'] == 'youtube'){
							if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
							$main_video_poster = isset($_GET['vposter']) ? $_GET['vposter'] : "";
						?>
						<div class="kurs_header_video">
						<?php 
							if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
						?>
							<!--<div data-type="youtube" data-video-id="<?php echo $main_video_id;?>"></div>-->
							<div class="plyr__video-embed" id="player">
								<iframe src="https://www.youtube.com/embed/<?php echo $main_video_id;?>?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowtransparency allow="autoplay"></iframe>
							</div>
						<?php
							}else{
						?>	
							<div class="kurs_header_without_cookie">
								<?php if($main_video_poster != ""){ ?>
								<img src="<?php echo $main_video_poster;?>" alt="" />
								<?php }else{?>
								<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
								<div class="default_text_warning">
									<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
									<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
									<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
									<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
								</div>
							</div>	
						<?php }?>	
						</div>
						<?php	
						}elseif($_GET['vtype'] == 'dropbox'){
							if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
							$main_video_poster = isset($_GET['vposter']) ? $_GET['vposter'] : "";
						?>
						<div class="kurs_header_video">
						<?php 
							if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
						?>
							<video id="player" playsinline controls crossorigin>
								<source src="https://dl.dropbox.com/s/<?php echo $main_video_id;?>.mp4" type="video/mp4">
							</video>
						<?php
							}else{
						?>	
							<div class="kurs_header_without_cookie">
								<?php if($main_video_poster != ""){ ?>
								<img src="<?php echo $main_video_poster;?>" alt="" />
								<?php }else{?>
								<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
								<div class="default_text_warning">
									<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
									<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
									<p>Das Video wird eingebettet von Dropbox.com.com abgespielt. Es werden Cookies von Dropbox gesetzt.</p>
									<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.dropbox.com/privacy">Privacy Policy</a> von Dropbox und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
								</div>
							</div>	
						<?php }?>	
						</div>
					<?php
						}elseif($_GET['vtype'] == 'audio'){
							if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
							$main_video_poster = isset($_GET['vposter']) ? $_GET['vposter'] : "";
						?>
						<div class="kurs_header_video">
						<?php 
							if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
						?>
							<div class="div-audio-poster">
								<?php if($main_video_poster != ""){ ?>
								<img src="<?php echo $main_video_poster;?>" alt="" />
								<?php }else{?>
								<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
							</div>
							<audio id="player" controls>
								<source src="<?php echo $main_video_id;?>" type="audio/mp3" />
							</audio>
						<?php
							}else{
						?>	
							<div class="kurs_header_without_cookie">
								<?php if($main_video_poster != ""){ ?>
								<img src="<?php echo $main_video_poster;?>" alt="" />
								<?php }else{?>
								<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
								<div class="default_text_warning">
									<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
									<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
									<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
									<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
								</div>
							</div>	
						<?php }?>	
						</div>
					<?php
						}
					}
					else{
						if($main_video_type == 'vimeo'){
						?>
						<div class="kurs_header_video">
						<?php 
							if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
						?>
							<!--<div data-type="vimeo" data-video-id="<?php echo $main_video_id;?>"></div>-->
							<div class="plyr__video-embed" id="player">
								<iframe src="https://player.vimeo.com/video/<?php echo $main_video_id;?>?loop=false&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media" allowfullscreen allowtransparency allow="autoplay"></iframe>
							</div>
						<?php
							}else{
						?>	
							<div class="kurs_header_without_cookie">
								<?php if($main_video_poster != ""){ ?>
								<img src="<?php echo $main_video_poster;?>" alt="" />
								<?php }else{?>
								<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
								<div class="default_text_warning">
									<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
									<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
									<p>Das Video wird eingebettet von Vimeo.com abgespielt. Es werden Cookies von Vimeo gesetzt. </p>
									<p>Mehr zu den Cookies in der <a target="_blank" href="https://vimeo.com/privacy">Privacy Policy</a> von Vimeo und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
								</div>
							</div>
						<?php }?>	
						</div>
						<?php 
						}elseif($main_video_type == 'youtube'){
						?>
						<div class="kurs_header_video">
						<?php 
							if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
						?>
							<!--<div data-type="youtube" data-video-id="<?php echo $main_video_id;?>"></div>-->
							<div class="plyr__video-embed" id="player">
								<iframe src="https://www.youtube.com/embed/<?php echo $main_video_id;?>?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowtransparency allow="autoplay"></iframe>
							</div>
						<?php
							}else{
						?>	
							<div class="kurs_header_without_cookie">
								<?php if($main_video_poster != ""){ ?>
								<img src="<?php echo $main_video_poster;?>" alt="" />
								<?php }else{?>
								<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
								<div class="default_text_warning">
									<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
									<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
									<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
									<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
								</div>
							</div>	
						<?php }?>	
						</div>
						<?php	
						}elseif($main_video_type == 'dropbox'){
						?>
						<div class="kurs_header_video">
						<?php 
							if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
						?>
							<video id="player" playsinline controls crossorigin>
								<source src="https://dl.dropbox.com/s/<?php echo $main_video_id;?>.mp4" type="video/mp4">
							</video>
						<?php
							}else{
						?>	
							<div class="kurs_header_without_cookie">
								<?php if($main_video_poster != ""){ ?>
								<img src="<?php echo $main_video_poster;?>" alt="" />
								<?php }else{?>
								<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
								<div class="default_text_warning">
									<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
								</div>
							</div>	
						<?php }?>	
						</div>
						<?php
						}elseif($main_video_type == 'audio'){
							?>
							<div class="kurs_header_video">
							<?php 
								if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
							?>
								<div class="div-audio-poster">
									<?php if($main_video_poster != ""){ ?>
									<img src="<?php echo $main_video_poster;?>" alt="" />
									<?php }else{?>
									<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
									<?php }?>
								</div>
								<audio id="player" controls>
									<source src="<?php echo $main_video_id;?>" type="audio/mp3" />
								</audio>
							<?php
								}else{
							?>	
								<div class="kurs_header_without_cookie">
									<?php if($main_video_poster != ""){ ?>
									<img src="<?php echo $main_video_poster;?>" alt="" />
									<?php }else{?>
									<img src="<?php echo MMPY_PLUGIN_URL .'/img/default-video-poster-image.png';?>" alt="" />
								<?php }?>
								<div class="default_text_warning">
									<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
										<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
										<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
										<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
								</div>
							</div>	
						<?php }?>	
						</div>
					<?php
						}
					}
					
				
				
				if($module_intotal_video_no > 1){
			?>
			<div class="next_video_div"><a href="#" data-next_video="2" class="next_module_video_trigger btn btn-primary">Nächstes Video</a></div>
				<?php
					$next_video = '2';
					if(isset($_GET['vnext']) && $_GET['vnext'] != '' ) $next_video = $_GET['vnext'];
				?>
				<input type="hidden" id="input_next_video" value="<?php echo $next_video;?>" />
			<?php }?>
			<div class="card-block">
				<?php
					$course_ex_headline = get_post_meta( $post->ID, 'course_ex_headline', true );
					$course_ex_desc = get_post_meta( $post->ID, 'course_ex_desc', true );
				?>
				<!--<h4 class="card-title"><?php echo $course_ex_headline;?></h4>
				<p class="card-text"><?php echo $course_ex_desc;?></p>-->
				<?php
					$course_links = get_post_meta( $post->ID, 'course_links', true );
					if(!empty($course_links)){
						echo '<div class="single_course_links">';
						foreach($course_links as $key=>$val){
							$course_link_arr = explode('|||', $val);
							$course_link_text = $course_link_arr['0'];
							$course_link_url = $course_link_arr['1'];
							echo '<a target="_blank" class="btn btn-primary" href="'.$course_link_url.'">'.$course_link_text.'</a>';
						}
						echo '</div>';
					}
					
				?>
			</div>
		</div>
	</div>
</section> <?php }?>

<section>
<div class="mm_module_area">
	<div class="container">
		<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<?php
			
			$watched_module_videos = get_user_meta( get_current_user_id(), 'watched_module_videos', true);
			/* echo '<pre>';
			print_r($watched_module_videos); */
				
			$module_no = 1;
			$m_video_no = 0;
			if(!empty($mmambo_modules)){
			foreach($mmambo_modules as $mmambo_module){
				/* echo '<pre>';
				print_r($mmambo_module); */
				$module_videos = $mmambo_module['module_videos'];
				$total_video_no = module_total_video_number($mmambo_module['module_id'], $post->ID);
				$watched_videos = user_watched_videos_by_moduleID(get_current_user_id(), $mmambo_module['module_id']);
				
				// module inactivity
				$module_days = 0;
				if($daydiff != '' || $daydiff == '0'){
					$mmambo_days = $mmambo_module['module_days'];
					$module_days = $mmambo_days - $daydiff;
				}
				
			?>	
			<div class="panel panel-default <?php if($module_days > 0) echo 'module_inactive'; ?>">
				<div class="panel-heading" role="tab" id="headingOne">
				  <div class="panel-title">
					<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse_<?php echo $mmambo_module['module_id'];?>" aria-expanded="true" aria-controls="collapseOne">
						<div class="mm_accordion_heading_top">
							<span class="mm_accordion_no">Modul <?php echo $module_no;?></span>
							<?php if(is_user_logged_in()){ ?><span class="mm_accordion_result"><span class="watched_video_count"><?php echo count($watched_videos);?></span> / <?php echo $total_video_no;?></span><?php }?>
						</div>
						<div class="mm_accordion_heading_bottom"><h4><?php echo $mmambo_module['module_title'];?></h4></div>
					</a>
					<?php if($module_days > 0) echo '<p class="module_inactive_notice">Das Modul wird in '.$module_days.' '. _n( 'Tag', 'Tagen', $module_days, 'text-domain' ).' freigeschaltet</p>'; ?>
				  </div>
				</div>
				<?php if($module_days == 0 || $module_days < 0){ ?>
				<div id="collapse_<?php echo $mmambo_module['module_id'];?>" class="panel-collapse collapse <?php if($module_no == '1' && $_GET['mid'] == ''){ echo 'in';}else{ if($module_no == $_GET['mid']) echo 'in';}?>" role="tabpanel" aria-labelledby="headingOne">
					<div class="panel-body">
						<ul class="lecture">
							<?php
								foreach($module_videos as $module_video){
								/* echo '<pre>';
								print_r($module_video); */
								$video_watched = false;
								if(in_array($module_video['uniqueID'], $watched_videos)) $video_watched = true;
								$module_type = $module_video['module_type'];
								if($module_type == 'video'){
								$m_video_no++;
								if($module_intotal_video_no == $m_video_no){ $last_video = 'yes';}else{ $last_video = 'no';}
							?>
							<li class="lecture__item <?php if($video_watched) echo 'completed';?>"> 
								<a data-video_poster="<?php echo isset($module_video['poster']) ? $module_video['poster'] : "";?>" data-video_type="<?php echo $module_video['type'];?>" data-video_id="<?php echo $module_video['id'];?>" data-module_id="<?php echo $module_no;?>" data-video_order="<?php echo $m_video_no;?>" data-last_video="<?php echo $last_video;?>" class="lecture__item__link fx-jsb trigger_module_video"> 
									<span class="lecture__item__link__icon"> <i class="fa fa-play" aria-hidden="true"></i> </span> 
									<span class="fx"> 
										<span class="mr5"> <?php echo $m_video_no;?>. </span>
										<span class="lecture__item__link__name"><?php echo $module_video['title'];?></span> 
									</span> 
									<span class="lecture__item__link__time mr20"><?php echo $module_video['duration'];?></span>
									<?php if(is_user_logged_in()){ ?><span data-user_id="<?php echo get_current_user_id();?>" data-module_id="<?php echo $mmambo_module['module_id'];?>" data-video_unqid="<?php echo $module_video['uniqueID'];?>" class="tooltip-container lecture__item__link__icon lecture__item__link__progress"> <i class="fa fa-check" aria-hidden="true"></i> <i class="icon-spin fa fa-spinner" aria-hidden="true"></i></span><?php }?>
									<input style="display:none;" type="text" value="<?php if($video_watched){ echo 'checked';}else{ echo 'unchecked';}?>" />
								</a>
							</li>
							<?php 
								}
								elseif($module_type == 'file'){?>
							<li class="resources__link"> 
								<a download class="" href="<?php echo $module_video['file_url'];?>"> 
									<i class="fa fa-download" aria-hidden="true"></i>
									<span><?php echo $module_video['file_title'];?></span>
								</a>
							</li>
							<?php	
								}
								elseif($module_type == 'link'){?>
							<li class="resources__link"> 
								<a target="_blank" class="" href="<?php echo $module_video['link_url'];?>"> 
									<i class="fa fa-link" aria-hidden="true"></i>
									<span><?php echo $module_video['link_title'];?></span>
								</a>
							</li>
							<?php	
								}
							}
							?>
						</ul>
					</div>
				</div>
				<?php }?>
			</div>
			<?php $module_no++; } }?>
		</div>
	</div>
</div>
</section>